Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF Device Toolbox 3.0.0 (BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: DeviceTB::CAN

Resolution: Workaround Available FAQ Links:  

Description

Support Anfrage:

In der randomdatagenerator_can_streaming_source.cpp fehlte die Abhängigkeit zum IReferenceClock:

ADTF_CLASS_DEPENDENCIES(REQUIRE_INTERFACE(devicetb::sdk::can::ICANSupport),

REQUIRE_INTERFACE(adtf::services::IReferenceClock));

Könnt ihr das für den nächsten Release einbauen?

Lösung:

Workaround ist aktuell vorhanden.

Der Source-Code des Generators ist vorhanden, der Anwender kann mit seiner Anpassung weiterarbeiten.

Ist bereits für die kommende Release-Version vorgemerkt.

History

#1 - 2018-09-27 15:48 - hidden

- Status changed from New to In Progress

- Topic set to DeviceTB::CAN

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF Device Toolbox 3.0.0 (BETA) added

#2 - 2018-09-27 15:49 - hidden

Hallo Benedict,

bitte übernehmen.

#3 - 2018-09-27 16:23 - hidden

- Resolution set to Workaround Available

Hallo Herr Çelik,

vielen Dank für das Feedback. Konnte den Fehler eben nachstellen. Sie haben vollkommen recht. Die Reference-Clock fehlt in den Abhängigkeiten.

Habe es bereits für die kommende Release-Version vorgemerkt. Der Source-Code des Generators ist ja vorhanden, sodass Sie mittels ihrer

Anpassung weiterarbeiten können.

Mit freundlichen Grüßen

Benedict Hartmann

#4 - 2018-09-27 16:25 - hidden

Workaround vorhanden
#5 - 2018-09-28 09:11 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Evrim,

mit deiner Einverständnis werden wir das Support Ticket damit schließen.

Workaround ist aktuell vorhanden.

Lösung ist für die kommende Release-Version vorgemerkt.

Gruß

Matthias

#6 - 2018-09-28 09:53 - hidden

Ja, passt. Du kannst es schließen.

Viele Grüße,

Evrim

#7 - 2018-09-28 10:32 - hidden

- Subject changed from ADTF Device Toolbox 3.0.0 BETA4 fehlende Abhängigkeit im Example randomgenerator_can to ADTF Device Toolbox 3.0.0

BETA4 - Missing dependency in Example randomgenerator_can

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Platform Windows 7 64bit added

#8 - 2018-10-09 13:14 - hidden

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
